### Signal

# Atk Object::property-change

#### Declaration

    void
    property_change (
      AtkObject* self,
      AtkPropertyValues* arg1,
      gpointer user_data
    )

#### Description [src]

The signal “property-change” is emitted when an object’s property value changes. `arg1` contains an `AtkPropertyValues` with the name and the new value of the property whose value has changed. Note that, as with GObject notify, getting this signal does not guarantee that the value of the property has actually changed; it may also be emitted when the setter of the property is called to reinstate the previous value.

Toolkit implementor note: ATK implementors should use `g_object_notify()` to emit property-changed notifications. `AtkObject::property-changed` is needed by the implementation of `atk_add_global_event_listener()` because GObject notify doesn’t support emission hooks.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`arg1`

  Type: `AtkPropertyValues`

  An `AtkPropertyValues` containing the new value of the property which changed.

  The data is owned by the caller of the function.